Ubuntu

Synaptics touchpad stops working - two syndaemon instances running

Reported by Mark Shuttleworth on 2011-10-05
698
This bug affects 150 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
High
Unassigned
Oneiric
High
Unassigned
gnome-settings-daemon
Fix Released
Medium
gnome-settings-daemon (Ubuntu)
High
Martin Pitt
Oneiric
High
Unassigned
Precise
High
Martin Pitt

Bug Description

Proposed a SRU package for oneiric

[Summary]

Patch: http://bazaar.launchpad.net/~ossug-hychen/gnome-settings-daemon/fix-868400-oneiric/revision/184

bzr branch: https://code.launchpad.net/~ossug-hychen/gnome-settings-daemon/fix-868400-oneiric

[IMPACT]

 * touchpad is disabled sometines because 2 syndaemon instances. (one is launched by lightdm, anthoer one is launched by current user.)
 * ALPS touchpad does not use syndaemon, so ALPS users will not be impacted.

[TESTCASE]

 1. kill gnome-settings-daemon
 2. check syndaemon has only 1 instance after gnome-setitngs-daemon re-launched

[Regression Potential]

 * the patch is from gnome-settings-daemon package in precise
 * the risk is low because the patch only add the code to make sure syndaemon be killed if gnome-settings-daemon is killed

[ORIGINAL REPORT]

Synaptic touchpad stops working, seen on a few different Thinkpads.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: xserver-xorg-input-synaptics 1.4.1-1ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu2
Architecture: i386
Date: Wed Oct 5 13:38:37 2011
DistUpgraded: Log time: 2010-07-25 15:41:02.611860
DistroCodename: oneiric
DistroVariant: ubuntu
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100201)
MachineType: LENOVO 4294CTO
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/zsh
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=c4c39ed1-eb48-484a-8729-0600466a83a0 ro quiet splash vt.handoff=7
SourcePackage: xserver-xorg-input-synaptics
UpgradeStatus: Upgraded to oneiric on 2010-07-25 (436 days ago)
dmi.bios.date: 05/18/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET46WW (1.16 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4294CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET46WW(1.16):bd05/18/2011:svnLENOVO:pn4294CTO:pvrThinkPadX220Tablet:rvnLENOVO:rn4294CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4294CTO
dmi.product.version: ThinkPad X220 Tablet
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu3
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Mark Shuttleworth (sabdfl) wrote :
Sebastien Bacher (seb128) wrote :

seems similar to bug #863668, bug #859455

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Timo Aaltonen (tjaalton) wrote :

Install 'evtest', and see if you get any output from a VT when you run it against the input device (sudo evtest /dev/input/eventX,). If yes, at least kernel sees the events, and it's something in X failing.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Confirmed → Incomplete
Sebastien Bacher (seb128) wrote :

Mark, do you use 2 fingers scrolling? Robert Carr says he's having the issue also and he thinks it might be a geis,2 finger scrolling issue

Chase Douglas (chasedouglas) wrote :

Bug 804109 is similar in that the trackpad fails to work properly. A workaround there was:

* Install "dconf-tools";
* Launch it
* Search for: /org/gnome/settings-daemon/peripherals/touchpad/
* Check "touchpad-enabled"

I'm not sure the two bugs are the same, though. Please test this workaround a let us know how it goes.

Thanks!

Sebastien Bacher (seb128) wrote :

Chase, that's not likely, mark said that the g-s-d keybinding to turn the touchpad on and off was "working" but that didn't restore the cursor, xinput also indicated that the touchpad is activated when the issue happens

Doug McMahon (mc3man) wrote :

Myself & some others see a 'random' occurrence where the touchpad stops responding. For me it seems to be related to the disable touchpad while typing option
Have a new bug here, could be totally invalid/offbase or may not..
Bug 872885

Kate Stewart (kate.stewart) wrote :

I'm seeing this occurring in random fashion as well. This seems to occur after fresh install.
Work around is to open a terminal, and type: gsettings set org.gnome.settings-daemon.plugins.mouse active false
Then close your session with: gnome-session-quit

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Confirmed
Changed in xserver-xorg-input-synaptics (Ubuntu Oneiric):
milestone: none → oneiric-updates
Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
milestone: none → oneiric-updates
Kate Stewart (kate.stewart) wrote :

Also seeing this on Dell Inspiron, randomly occuring, but once occurs, is persistent.

Sebastien Bacher (seb128) wrote :

"type: gsettings set org.gnome.settings-daemon.plugins.mouse active false
Then close your session with: gnome-session-quit"

does running "gnome-session-quit" is enough or do you mean that you actually restart your session?

Could somebody get the infos requested before, i.e the evtest log?

Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Confirmed → Incomplete
Sebastien Bacher (seb128) wrote :

Kate, does disabling the "disable touchpad while typing" option from the ui workaround the issue for you? do you use 2 fingers gestures?

Doug McMahon (mc3man) wrote :

While this becomes 'random' after install it almost always happens right after, here typically when setting wireless password.
So did a fresh install with todays daily
Attached is evtest log after/while touchpad stopped working

What also restores the touchpad here is this, no logout required -
synclient Touchpadoff=0
It may be easier to test anything from a new install rather than waiting for it to occur or not occur later - though at least here disabling the above mentioned option seems to prevent
(& or enabling the option instead thru syncdaemon as mentioned in my dupe

Sebastien Bacher (seb128) wrote :

could the people having the issue try to turn the mouse plugin off as Kate described in comment #8 and run "syndaemon -i 0.5 -K -R" and see if they still get the issue? (that's the command g-s-d is running to enable the "disable while typing")

Daniel Farrell (dfarrell07) wrote :

I seem to be affected by the same bug. Seemingly randomly, my touchpad on a Lenovo W520 stops working. The red nub keeps working, however. Restarting sometimes fixes it, but sometimes it doesn't. I can use fn+f7 to turn off my red nub, but it has no effect on my touchpad. I haven't tried any fixes mentioned above, or in this (http://bit.ly/qx2da3) thread, because it is working right now. The only fix I've tried is:

gconftool-2 --set --type boolean /desktop/gnome/peripherals/touchpad/touchpad_enabled true

That was not effective, nothing changed. I have disabled the function that disables the touchpad while typing, to see if that helps. Next time it breaks, I will start trying fixes, and report back.

higuita (higuita) wrote :

i think this bug is a dupe bug #549727, but with 11.10 the "disable touchpad while typing" is the one activating that bug (several apps disabling the touchpad and going out of sync)

Doug McMahon (mc3man) wrote :

After 2 sets of 4 days over last 2 weeks with the option disabled in system settings - no occurrences
Currently starting the 3rd day running the setting thru syndaemon - no occurrences yet but for here maybe not long enough yet.

The one way I have to get this to occur at will - On a fresh install if setting the wireless passworg before doing anything else suggests the same but is suspect because it only is guaranteed to happen if it is truly the 1st thing done.

Several other I know seeing this are reporting no occurrences since disabling in SS, don't know atm if any have had the chance to set thru syndaemon & ck. there.

Moritz Heiber (mheiber) wrote :

Just throwing it out there .. reloading the psmouse drive a couple of times "fixed" the issue for me on my end. I don't know if that's a probable solution though. Hope to see this fixed soon.

Daniel Farrell (dfarrell07) wrote :

After disable touchpad while typing, I haven't had this bug in two days.

Peter Harvey (pdqharvey) wrote :

My 2 pennyworth:
Wishing to extend the time syndaemon disables the touchpad, I configured a 'startup application' consisting of "syndaemon -i 2 -d -K -t ". The option to 'disable the mouse when typing' (in the mouse settings) was still checked, and as soon as I started typing, the cursor froze. System monitor showed 2 instances of syndaemon running, which seems to have been the issue. Fixed it by unchecking the 'mouse setting option', leaving my startup command to do the job alone. Seems OK so far.

Does ANYONE know where the default settings for syndaemon can be changed, avoiding this workaround? I cannot find them anywhere!

PS
Possibly relevant is that the cursor (using a touchpad) froze both times I started Oneiric for the first time after a clean install. A USB mouse worked fine, and the problem went away on second start up each time.

gigipin (luigi-pintaldi) wrote :

I have a solution that i've tested before.

My problem was that the touchpad didn't work on start up, but only on log in. In the Xorg's log the SynPS/2 was recognised, but i suppose there may be a link problem with the driver, so i've adjusted the xorg configuration.

I've created a new empty /etc/X11/xorg.conf file and set the following rules in it:

Section "InputClass"
        Identifier "Touchpad" # required
        MatchIsTouchpad "yes" # required
        Driver "synaptics" # required
        Option "MinSpeed" "0.5"
        Option "MaxSpeed" "1.0"
        Option "AccelFactor" "0.075"
        Option "TapButton1" "1"
        Option "TapButton2" "2" # multitouch
        Option "TapButton3" "3" # multitouch
        Option "VertTwoFingerScroll" "1" # multitouch
        Option "HorizTwoFingerScroll" "1" # multitouch
        Option "VertEdgeScroll" "1"
        Option "CoastingSpeed" "8"
        Option "CornerCoasting" "1"
        Option "CircularScrolling" "1"
        Option "CircScrollTrigger" "7"
        Option "EdgeMotionUseAlways" "1"
        Option "LBCornerButton" "8" # browser "back" btn
        Option "RBCornerButton" "9" # browser "forward" btn
EndSection

This is working perfectly for me, is not necessary set all commands like me only the required ones, perhaps the cause is a command line, in /usr/share/X11/xorg.conf.d/50-synaptics.conf, wrong and may be this:

MatchDevicePath "/dev/input/event*"

Rosca Stefan (sarvigalava) wrote :

Happens to me when I'm trying to open dash an search an app (Transsmission). Killing x server (cntrl+alt+backspace) resolves the problem

René Moser (resmo) wrote :

Workaround of #5 worked for me (so far)

Soeren Rabenstein (sorab) wrote :

Reporting the same issue for ASUS EeePC 1005 HA. But also that workaround #5 fixed it (so far ;)).

Felipe Ochoa (felipeochoa0918) wrote :

FWIW, I've had this problem too. I found a fix for this (http://ubuntuforums.org/showthread.php?t=1852081&page=4&styleid=109) is to run "synclient TouchpadOff=0" from a terminal.

Here is the dmesg output of when this last happened:

[ 365.304496] psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 4 bytes away.
[ 365.827318] psmouse.c: resync failed, issuing reconnect request
[ 387.700302] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 4
[ 387.701885] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
[ 387.703597] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
[ 387.712677] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 4
[ 387.715189] psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
[ 387.715193] psmouse.c: issuing reconnect request

Sebastien Bacher (seb128) wrote :

not sure if bug #878859 is similar, it claims shift-lefclick on the menus leads to pointer locking

Ciccia (present-ense) wrote :

Hi,
I'm using an HP laptop dv6385ea and its mouse touchpad doesn't work once I login with my password. It suddenly works if I login as a "Guest Session". It works before logging into my personal account with my personal password.

Ciccia (present-ense) wrote :

Hi!
Me again! Just wanted to say I solved my problem with the mouse touchpad on my HP DV6385EA thanks to Kate Stewart's suggestion at comment #8:
"type: gsettings set org.gnome.settings-daemon.plugins.mouse active false
Then close your session with: gnome-session-quit"

Thank you, folks!

micelus (kohutek-michal) wrote :

Yes, Kate Stewart's suggestion at comment #8:

 "type: gsettings set org.gnome.settings-daemon.plugins.mouse active false"

was really helpfull. I was sure it had something to do with my settings, since other accounts were fine, but I could not find the correct "switch". This solves this bug for me! Yay!

Karl (karl1982) wrote :

I would like to add that this seems to be very much a finger detection issue. I'm having this problem on an Asus G73SW recently upgraded from Natty to Oneiric. I booted the Oneiric LiveCD to see if it was a config issue, and I still have problems, although they're a little different (the three-finger window drag doesn't seem to work from the LiveCD, the window handles don't appear from three-finger clicking either).

My cursor locks up with varying frequency, but everything else is still in full swing. I can click with the physical buttons, an external mouse works perfectly, and the keyboard is still responsive. However I experience an additional symptom that I don't see anyone else describing. After locking up briefly, sometimes it will move erratically on its own. It'll grab a window, jerk it all over the screen, and sometimes leave it positioned halfway off-screen or maximize it (by dragging to top, I believe). I get the impression it thinks there are fingers all over the touchpad, almost like it thinks I'm palming it, but a little different. It seems to think there are several points of contact either stuck or moving erratically.

I have no problems with this touchpad in Windows 7, nor did I in Natty, so there's no question we have a bug in an update.

Jimmy Merrild Krag (beruic) wrote :

I mostly use a USB mouse, but have noticed this happening on a Dell XPS M1330 as well.

Rosca Stefan (sarvigalava) wrote :

Is anyone working to solve the problem ?? Today touchpad freezing happened again ( same circumstances as I wrote earlier)

Thucydides411 (gregreen) wrote :

I have the exact same problem a Karl in post #29. I have an Asus G53 Jw, so our systems are probably very similar. This problem showed up right after an upgrade from 11.04 to 11.10, and then again after a fresh install of 11.10. My touchpad freezes, and when it comes back, it starts grabbing windows and moving them around erratically. The touchpad worked fine in 11.04, so this is a bug in 11.10.

John Tocher (jmtocher) wrote :

Solution at #5 worked for me too.

It didn't require a restart or logout/in, it started working as soon as I quit the dconf editor.

MSI i7 laptop running 64 bit 11.10, upgraded from a clean install of 11.04

Karl (karl1982) wrote :

In regards to the workaround in #5, this does not apply to my problem... Mine is already checked.

Thucydides411 (gregreen) wrote :

Just like Karl, I already have "touchpad-enabled" checked, so the workaround from #5 does not help me.

Doug McMahon (mc3man) wrote :

The most potentially effective 'workaround' would be as described in comment 8, at least as seen here over the course of several weeks.
I also disable the "disable touchpad while typing option" but it seems here that setting the plugin activation to false is what keeps it from reoccurring over the long haul

Thucydides411 (gregreen) wrote :

For my problem, the workaround described in comment #8 has no effect. The problem persists.

Mandar Vaze (mandarvaze) wrote :

Workaround from Bug 804109 does not work for me. Touchpad was already enabled. But workaround from Doug McMahon (mc3man) i.e. "synclient Touchpadoff=0" worked for me.

Karl (karl1982) wrote :

"synclient TouchpadOff=0" has no effect for me. That setting is toggling correctly as I start/stop typing. Also, I have the exact same problem whether "disable touchpad while typing" is enabled or not.

It isn't just that the touchpad stops responding, it also sometimes goes berserk. The problem seems to worsen the longer the OS is running. Right after booting, it actually works for a couple minutes. By the 10 minute mark, it's so bad I can hardly even work with it using an external mouse.

This is probably unrelated, but I installed gpointing-device-settings to get some additional controls while troubleshooting this problem, and some of its options don't seem to stick. Such as disable touchpad when another device is connected. The setting will be unchecked again after reopening the program, and the setting never takes effect.

Jimmy Merrild Krag (beruic) wrote :

I tried the solution in #5. I don't know if it works yet, but I noticed that "disable-while-typing" was off in dconf-editor but on in the touchpad settings, until I turned it off and on again in the touchpad settings.

Bryce Harrington (bryce) on 2011-11-09
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Confirmed → Incomplete
Karl (karl1982) on 2011-11-09
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Confirmed
Martin Pitt (pitti) on 2011-12-19
summary: - Synaptics touchpad stops working
+ Synaptics touchpad stops working - two syndaemon instances running
Martin Pitt (pitti) on 2011-12-19
affects: xserver-xorg-input-synaptics (Ubuntu Oneiric) → lightdm (Ubuntu Oneiric)
Changed in lightdm (Ubuntu Oneiric):
status: Confirmed → Triaged
Changed in lightdm (Ubuntu Precise):
status: Confirmed → Triaged
milestone: oneiric-updates → none
Changed in lightdm (Ubuntu Oneiric):
milestone: oneiric-updates → none
Changed in lightdm (Ubuntu Precise):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-settings-daemon (Ubuntu Precise):
milestone: oneiric-updates → ubuntu-12.04-beta-1
status: Incomplete → Triaged
Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Incomplete → Triaged
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
tags: added: rls-p-tracking
Martin Pitt (pitti) on 2011-12-19
Changed in gnome-settings-daemon (Ubuntu Precise):
assignee: Canonical Desktop Team (canonical-desktop-team) → Rodrigo Moya (rodrigo-moya)
Changed in gnome-settings-daemon (Ubuntu Oneiric):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
58 comments hidden view all 138 comments
z06gal (z06gal) wrote :

@florin

I have tried 4 kernels and the same thing happens. I have not had an episode since upgrading my nvidia to the latest driver. I'll keep my fingers crossed. Thanks ;)

z06gal (z06gal) wrote :

Upgraded my nvidia driver yesterday and all went well. I had everything disabled except the touchpad. I decided to enable the mouse plug in in the gnome session settings and activate the "disable touchpad while typing" just to see how it would do. The system froze about 2 hours after enabling things. I am going to disable the mouse plug in and see how it goes. I am so sick of this issue. When mine freezes, nothing extravagant happens with the mouse movement or anything. It just stops working along with the keyboard. I have kept an eye on my temps and they are fine so it isn't overheating.

Felix (apoapo) wrote :

@z06gal: Your issue is a different one i guess. Your System freezes. Please report a new bug. This bug is only about -the touchpad- (not the external mouse or intern/extern keyboard!) freezing

Changed in gnome-settings-daemon (Ubuntu Precise):
assignee: Rodrigo Moya (rodrigo-moya) → Canonical Desktop Team (canonical-desktop-team)
Changed in gnome-settings-daemon:
importance: Unknown → Medium
status: Unknown → Confirmed
Jeffrey Flaker (jflaker) wrote :

ok....had the same thing happen. I was playing with the function keys (hot keys for networking, etc). On my Aspire One, the hot key for the wireless FN-F7 actually turns off the touch pad.

Maybe others are hitting a key assuming it was going to do one thing, but actually does something else....

Got this issue today shortly after installing Precise Alpha 2 over my 11.10 partition on my Toshiba A505 S6960 laptop. The 11.10 partition was upgraded from 11.04 and did not have the same problem.

The "synclient TouchpadOff=0" workaround works for me too.

Just want to make a layman's post on this bug: first, for those like me using unity and don't know where to mess with your touchpad (mouse area) settings, just search 'system settings' in your dash. Then you'll see 'mouse and touchpad'. Now my update: it seems that by unchecking the 'disable touchpad while typing' box the freezing of touchpad (and Skype, interestingly) seems tohave been resolved. I have done about three reboots and have not seen the freeze yet. I'm on an Aspire One Acer 257-1814 with Ubuntu 11.10. If I don't post back, it worked.

Alex Wolfson (awolfson) wrote :

I found something, that might help to debug the bug. If I uncheck 'disable touchpad while typing' as suggested in #103 and move my finger on touchpad, while typing garbage fast, I see the cursor to do a jerk movement once in a while instead of staying still.
It is 100% reproducible, unlike the bug, whichI have only ocasionally.
I have Lenovo T410 with Synaptic

florin (florin-arjocu) wrote :

Most of the time when this happens I thought it is a hyper-sensitivity of the touchpad and I am touching it while typing. Don't know if it is the same issue #105 described, but writing is quite difficult, as the touchpad clicks where the pointer is and pressing keys at the same time makes you do things you don't plan to.
PS: Sensitivity is set to lowest possible.

Alex Wolfson (awolfson) wrote :

That might be related:

https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/801763
Typing causes cursor to stick

This bag fix introduced 0.5 sec delay in gsd instead of 2.0

* debian/patches/10_smaller_syndaemon_timeout.patch:
    - Use a smaller timeout for syndaemon (LP: #801763)

Relevant upstream gnome code is located at:
http://git.gnome.org/browse/gnome-settings-daemon/tree/plugins/mouse/gsd-mouse-manager.c#n504

I have that 2 syndaemon issue once in a while, but can not reproduce it fast. If somebody wants to test if increasing delay fixes the bug, look at
http://ubuntuwiki.net/index.php/Touchpad,_disabling_while_typing

The modified command to execute:
syndaemon -i 2.0 -K -R

Hi again. Turns out my issue in #104 above must not be related to this as it persists. I'll have to search more on skype and hardware I guess... Thanks for all your contributions here regardless

Alex Wolfson (awolfson) wrote :

I tried a solution from #107 at HP mini. On that laptop the bug was 100% reproducible, if as a first thing after reboot you open chromium and start typing. After implementing #107 bug did not happened, or at least it is not 100% reproducible any more.
If user checks the "the disable while typing" settings - he ends up with 2 instances of the syndaemon running, but touchpad still works. If you uncheck settings, the later daemon with 0.5 sec disappears. So looks like bug might existed for a long time, but was masked by default setting of 2.0 sec, till debian/patches/10_smaller_syndaemon_timeout.patch were applied to the g-s-d.

According to the bug 801763 it happened on 2011-08-22: in the package gnome-settings-daemon - 3.1.5-0ubuntu3

I've just installed 64bit 11.10 on Aspire One D255 and the touchpad worked for about 30mins and then froze. None of the above suggestions work. I can't drag a mouse around with me on the train - there's no room! Is there a solution?

tags: added: rls-mgr-p-tracking
Martin Pitt (pitti) on 2012-03-02
Changed in gnome-settings-daemon (Ubuntu):
milestone: ubuntu-12.04-beta-1 → ubuntu-12.04-beta-2
Martin Pitt (pitti) on 2012-03-05
Changed in lightdm (Ubuntu Precise):
assignee: Robert Ancell (robert-ancell) → Martin Pitt (pitti)
Martin Pitt (pitti) on 2012-03-05
Changed in lightdm (Ubuntu Precise):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.1.4.is.1.1.3-0ubuntu2

---------------
lightdm (1.1.4.is.1.1.3-0ubuntu2) precise; urgency=low

  [ Matt Fischer ]
  * debian/lightdm.dirs:
    - Add /etc/X11/ so lightdm.postinst doesn't fail on systems without X
      installed (LP: #921169)

  [ Martin Pitt ]
  * debian/lightdm.postinst: Disable disable-while-typing touchpad setting for
    GNOME; we do not really need this feature in lightdm, and multiple
    syndaemon instances cause the touchpad to stop working sometimes. Add
    libglib2.0-bin dependency for this. (LP: #868400)
 -- Martin Pitt <email address hidden> Mon, 05 Mar 2012 12:36:04 +0100

Changed in lightdm (Ubuntu Precise):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Removing lightdm task. The unity greeter already disables the mouse plugin these days, so it's fixed in unity-greeter, lightdm itself is not affected, and the g-s-d task remains.

no longer affects: lightdm (Ubuntu Precise)
no longer affects: lightdm (Ubuntu Oneiric)
no longer affects: lightdm (Ubuntu)
Mario Limonciello (superm1) wrote :

The lightdm fix seems to have caused bug 947713.

Martin Pitt (pitti) wrote :

I have a first g-s-d patch working, sent to upstream for commentary.

Changed in gnome-settings-daemon (Ubuntu Precise):
assignee: Canonical Desktop Team (canonical-desktop-team) → Martin Pitt (pitti)
status: Triaged → In Progress
Jens Finkhäuser (unwesen) wrote :

For what it's worth, also seeing this on a Lenovo W520, and none of the solutions proposed here solve it for me.

Martin Pitt (pitti) on 2012-03-14
Changed in gnome-settings-daemon (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.3.91-0ubuntu4

---------------
gnome-settings-daemon (3.3.91-0ubuntu4) precise; urgency=low

  * Add 01_fix_multiple_syndaemons.patch: Ensure that a spawned syndaemon gets
    killed when settings-daemon exists due to a crash, a keyboard interrupt,
    etc. This avoids having multiple syndaemons run at the same time, which
    can lead to the trackpad malfunctioning. (LP: #868400)
 -- Martin Pitt <email address hidden> Wed, 14 Mar 2012 11:22:21 +0100

Changed in gnome-settings-daemon (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in gnome-settings-daemon:
status: Confirmed → Fix Released
Arc (billmills323) on 2012-03-23
Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Triaged → Fix Committed

I am still having this problem on hp dv6t laptop running 12.04. I believe I have the latest gnome-settings-daemon:

linux% dpkg-query -l | grep gnome-settings
ii gnome-settings-daemon 3.3.92-0ubuntu2 daemon handling the GNOME session settings

It seems to happen after waking from suspend. From a fresh reboot, things work fine, but soon after a wakeup, the lost sync messages start coming and the keyboard is annoyingly hard to use.

Mark Grosen [2012-03-25 21:49 -0000]:
> It seems to happen after waking from suspend. From a fresh reboot,
> things work fine, but soon after a wakeup, the lost sync messages start
> coming and the keyboard is annoyingly hard to use.

Did you check whether you have two syndaemons running at that time?

Pardon my ignorance, but how do I check for a "syndaemon"? I tried "ps aux | grep syn" but got nothing.

Martin Pitt (pitti) wrote :

Mark Grosen [2012-03-26 16:54 -0000]:
> Pardon my ignorance, but how do I check for a "syndaemon"? I tried "ps
> aux | grep syn" but got nothing.

That's correct. So you have a different bug then. Thanks for checking!

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

I fixed my problem related to this bug by following the suggestion in a different bug report:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/717970/comments/26

Mark

Martin Pitt (pitti) on 2012-04-11
Changed in gnome-settings-daemon (Ubuntu Oneiric):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
Amos Blanton (lightnin9) wrote :

I did a clean install of 12.04, followed by a deja-dup restore of a backup of my home directory. I then enabled "disable touchpad while typing." Then I began having these symptoms.

Previously, (when I was on 11.10 , from which the backup was made) I had created a custom syndaemon launcher startup because the normal "disable touchpad while typing" didn't work very well (cursor would still jump sometimes when I brushed the touchpad while typing).

I didn't realize this would persist in "startup applications preferences" after the clean install followed by restore. Apparently it did, and so I got this error - two syndaemons running. Just posting on the off chance others make the same mistake.

sds (sds-gnu) wrote :

thinkpad t520: after upgrade to 12.04 - touchpad no longer works.

modprobe -r psmouse && modprobe psmouse proto=imps

as root restored touchpad but without two-finger scrolling and the mouse/touchpad settings menu now misses the touchpad tab.

Here is something that might be of interest to the bug trackers: I am facing the same problem on an HP dv6 touchpad. On my laptop, this problem seems correlated with another problem with my wifi button. My wifi button does not work on my laptop after I log in - somehow I have to press the button before I get to the login screen if I want to activate my wifi. I have noticed that on the occasion that I need to use wifi, whenever I activate the button, my mouse pointer may freeze from the login screen onwards. This problem goes away after I reboot twice or thrice.

The patch described in #116 does not be included in gnome-settings-daemon_3.2.2-0ubuntu2.3 in Oneiric

Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Fix Committed → Confirmed

Proposed a SRU package for oneiric

[Summary]

Patch: http://bazaar.launchpad.net/~ossug-hychen/gnome-settings-daemon/fix-868400-oneiric/revision/184

bzr branch: https://code.launchpad.net/~ossug-hychen/gnome-settings-daemon/fix-868400-oneiric

[IMPACT]

 * touchpad is disabled sometines because 2 syndaemon instances. (one is launched by lightdm, anthoer one is launched by current user.)
 * ALPS touchpad does not use syndaemon, so ALPS users will not be impacted.

[TESTCASE]

 1. kill gnome-settings-daemon
 2. check syndaemon has only 1 instance after gnome-setitngs-daemon re-launched

[Regression Potential]

 * the patch is from gnome-settings-daemon package in precise
 * the risk is low because the patch only add the code to make sure syndaemon be killed if gnome-settings-daemon is killed

Changed in oem-priority:
importance: Undecided → High
description: updated
James M. Leddy (jm-leddy) wrote :

I've requested a merge into oneiric proposed and subscribed ~ubuntu-sponsors:

https://code.launchpad.net/~ossug-hychen/gnome-settings-daemon/fix-868400-oneiric/+merge/117358

Changed in oem-priority:
status: New → Confirmed
Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Confirmed → In Progress
Changed in oem-priority:
status: Confirmed → In Progress
Anthony Wong (anthonywong) wrote :

Hi developers, mind giving the merge request a review? We are in need of the fix for our last set of oneiric oem projects, thanks.

Sebastien Bacher (seb128) wrote :

James, Anthony: do you really need those fixes to land in the official archive? Our resources are limited and at this point we need to focus on precise LTS and quantal rather than Oneiric, having to build and test all those Oneiric backports has a cost. I'm keeping the bug open in case somebody is still interested to sponsor Oneiric updates but I can't justify spending extra time helping on those myself, I would recommend you consider updating to the LTS or building your own overlay ppa with the fixes you need for that project.

James M. Leddy (jm-leddy) wrote :

Hi Sebastien,

The OEM has already shipped a custom version with the fix. As long as we have commitment that this will be fixed _if ever_ an SRU for oneiric is released, then we don't need to issue an SRU now. Or if no other g-s-d issues come up and we never issue an SRU for oneiric that's fine too.

Changed in oem-priority:
status: In Progress → Won't Fix
Sebastien Bacher (seb128) wrote :

> As long as we have commitment that this will be fixed _if ever_ an SRU for oneiric is released

our current process doesn't permit us to commit to that sorry, we will try our best to think about that fix if we do a SRU (not likely), but it could well be that e.g the security team issue a security fix and doesn't include any other fix with it

Dimitri John Ledkov (xnox) wrote :

Looks good. Uploaded.
[ubuntu/oneiric-proposed] gnome-settings-daemon 3.2.2-0ubuntu2.3 (Waiting for approval)

Unsubscribing ubuntu-sponsors team.

Hello Mark, or anyone else affected,

Accepted gnome-settings-daemon into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-settings-daemon/3.2.2-0ubuntu2.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: added: blocks-hwcert-enablement
tags: added: verification-done
removed: blocks-hwcert-enablement verification-needed
tags: added: blocks-hwcert-enablement

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.2.2-0ubuntu2.3

---------------
gnome-settings-daemon (3.2.2-0ubuntu2.3) oneiric-proposed; urgency=low

  * debian/patches/52_kill_syndaemon_when_gsd_die.patch:
    - Ensure that a spawned syndaemon gets killed when settings-daemon exists
      due to a crash, a keyboard interrupt, etc. This avoids having multiple
      syndaemons run at the same time, which can lead to the trackpad be
      unexpected disabled. (LP: #868400)
 -- Hsin-Yi Chen (hychen) <email address hidden> Thu, 09 Aug 2012 14:28:59 +0800

Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Fix Committed → Fix Released
downward (invisioslice) wrote :

This bug also affect Ubuntu 12.04 After a clean Install the touchpad suddenly stopped working in Ubuntu!!!???

UBUNTU 12.04: here it is a partial solution: https://answers.launchpad.net/touchpad-indicator/+question/195181 but my touchpad scroll is dead...

the problem also shows in precise. My touchpad suddenly stopped when i (may) accidentally make a gesture which disable my touchpad (not for the click function). When i did, it displays an osd box(looks like a notification) and then my touchpad is disabled.

when i run dconf-tools and looks for /desktop/gnome/peripherals/touchpad/touchpad_enabled the value is "true".
Then i re-enable it by setting it to false, then true. and my touchpad went normal again.
i think it's because disable touchpad while type feature's bug.

Displaying first 40 and last 40 comments. View all 138 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.